For the complete documentation index, see llms.txt. This page is also available as Markdown.

REST API

See our Postman collection for our API documentation

Akenza provides a REST API for programmatic access to its features. If you have any questions or want to request new API features, please submit a feature request here.

A set of examples, showing how to use the API:

Python:

Javascript:

Java:

The API documentation can be found here:

Authenticating Requests

Requests can be authenticated with with API Keys by providing the x-api-key header or OAuth2 Clients with short-lived Baerer tokens passed as the Authentication header.

If the request is out of the specified permission scopes (e.g. Organization Delete) the API will return permission denied error.

Refer to Authentication for more details.

Example Request

GET https://api.akenza.io/v3/assets

This request will fetch all Assets in a workspace using an API Key for authentication.

Query Parameters

Name
Type
Description

workspaceId

string

The Workspace Id

Headers

Name
Type
Description

x-api-key

string

The API Key Secret

Backfilling

Backfilling allows adding data to a device using an http endpoint. It is possible to backfill data individually or in bulk for a single device.

All data sent this way will be processed by the output connectors and rules, therefore the body has to match the output of the device type script. If not specified the timestamp will be set to the current time and the topic to default.

The example requests can be found in the akenza api documentation

Last updated

Was this helpful?